> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Player Records

> Player head-to-heads and matchup records for the fixture.



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/match/{}/player-record
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/match/{}/player-record:
    get:
      tags:
        - Live Matches & Ball-by-Ball
      summary: Player Records
      description: Player head-to-heads and matchup records for the fixture.
      operationId: match_playerrecord
      parameters:
        - name: matchId
          in: path
          required: true
          description: Match identifier.
          schema:
            type: string
            example: '100123'
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: object
              example:
                matchID: '98697'
                homeTeam:
                  teamID: '1038'
                  teamName: England Under-19s
                  playingXI:
                    - pos: 1
                      playerID: '155827'
                      playerName: Bertie Michael
                      playerNameShort: Bertie Michael
                      playerRole: Batsman
                      playerClubId: '1038'
                      playerClubName: ENG-U19
                      playerImage: null
                      captain: false
                    - pos: 2
                      playerID: '150040'
                      playerName: R Albert
                      playerNameShort: R Albert
                      playerRole: All-Rounder
                      playerClubId: '1038'
                      playerClubName: ENG-U19
                      playerImage: null
                      captain: true
                awayTeam:
                  teamID: '1148'
                  teamName: Pakistan Under-19s
                  playingXI:
                    - pos: 1
                      playerID: '152902'
                      playerName: Hamza Zahoor
                      playerNameShort: H Zahoor
                      playerRole: Wicket Keeper
                      playerClubId: '1148'
                      playerClubName: PAK-U19
                      playerImage: >-
                        https://cdn.sportxapi.com/assets/uploads/2026/04/hamza-zahoor.png?_sxcdn=20260831
                      captain: false
                    - pos: 2
                      playerID: '120291'
                      playerName: Farhan Yousaf
                      playerNameShort: F Yousaf
                      playerRole: Batsman
                      playerClubId: '1148'
                      playerClubName: PAK-U19
                      playerImage: >-
                        https://cdn.sportxapi.com/assets/uploads/2026/04/farhan-yousaf.png?_sxcdn=20260831
                      captain: true
                squads:
                  - teamID: '1038'
                    name: ENG-U19
                    teamShortName: ENG-U19
                    teamImage: null
                    logoUrl: null
                    squad:
                      - matchType: MATCH
                        playersArray:
                          - '[object]'
                          - '[object]'
                  - teamID: '1148'
                    name: PAK-U19
                    teamShortName: PAK-U19
                    teamImage: null
                    logoUrl: null
                    squad:
                      - matchType: MATCH
                        playersArray:
                          - '[object]'
                          - '[object]'
                topPick:
                  matchID: '98697'
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your SportXAPI secret key from the customer dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.